fmt_netstring(3)

NAME
fmt_netstring - convert a memory buffer into a netstring

SYNTAX
#include <libowfat/fmt.h> size_t fmt_netstring(char *dest,const char *source,
                      size_t len);

DESCRIPTION
fmt_netstring creates a netstring from a raw memory buffer and returns the length. fmt_netstring does not append \0. If dest equals FMT_LEN (i.e. is zero), fmt_netstring returns the number of bytes it would have written.

RETURN VALUE
fmt_netstring returns the number of bytes written (or that would have been written, had the destination pointer not pointed to NULL). If the input buffer is implausibly large, fmt_netstring returns 0 instead.

EXAMPLE
The raw memory buffer "foo" would become the netstring "3:foo,"

SPEC
http://cr.yp.to/proto/netstrings.txt

SEE ALSO
scan_netstring(3)